# Update single InHouse Rule

Updates a single In-House library rule

Endpoint: PUT /api/v2.0/orgs/{orgToken}/settings/inHouse/{ruleUuid}
Version: 2.0
Security: bearer-key

## Path parameters:

  - `orgToken` (string, required)
    org UUID (by running Entities - Organization > Get User Organizations) or API Key (from the Mend SCA App: Integrate tab > API Key).

  - `ruleUuid` (string, required)
    The In-House rule UUID

## Request fields (application/json):

  - `type` (string)
    Enum: "NAME", "LIBRARY_COORDINATES", "ARTIFACT_ID"

  - `regex` (string)
    Example: "*aa*"

  - `description` (string)
    Example: "description for InHouse rule"

  - `empty` (boolean)

## Response 200 fields (application/json):

  - `additionalData` (object)
    + warningMessage: Serves as an alert to inform you about the status of the rule being updated.
The warning message will provide information about whether the rule already exists or if some of the rules are already present
    Example: {"warningMessage":"item already exists"}

  - `supportToken` (string)
    Example: "1171c60d"

  - `retVal` (object)

  - `retVal.uuid` (string)

  - `retVal.type` (string, required)
    Enum: "NAME", "LIBRARY_COORDINATES", "ARTIFACT_ID"

  - `retVal.regex` (string)
    Example: ".*a*"

  - `retVal.description` (string)

  - `retVal.createdAt` (string)

  - `retVal.createdBy` (string)
    Jon.Snow

  - `retVal.empty` (boolean)

## Response 400 fields (*/*):

  - `supportToken` (string)
    Example: "1171c60d"


